de.esprit.common.gui

## Class ZFileFilter

- java.lang.Object
- - javax.swing.filechooser.FileFilter
  - - de.esprit.common.gui.ZFileFilter

-     public class ZFileFilter
      extends javax.swing.filechooser.FileFilter

  This class implements a predefined set of useful `FileFilter`s
  Author:
    Rainer Buesch

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ZFileFilter` | `FILTER_ALL`
    `static ZFileFilter` | `FILTER_AUDIO`
    `static ZFileFilter` | `FILTER_CRED`
    `static ZFileFilter` | `FILTER_DBDATA`
    `static ZFileFilter` | `FILTER_DOCS`
    `static ZFileFilter` | `FILTER_EXCEL`
    `static ZFileFilter` | `FILTER_IMAGE`
    `static ZFileFilter` | `FILTER_OTHER`
    `static ZFileFilter` | `FILTER_SQL`
    `static ZFileFilter` | `FILTER_TEXT`
    `static ZFileFilter` | `FILTER_TXT`
    `static ZFileFilter` | `FILTER_TYPEMAP`
    `static ZFileFilter` | `FILTER_UNL`
    `static ZFileFilter` | `FILTER_VIDEO`
    `static ZFileFilter` | `FILTER_WIN`
    `static ZFileFilter` | `FILTER_XML`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `accept(java.io.File file)`
    `static ZFileFilter[]` | `getAllFilters()`
    `java.lang.String` | `getDescription()`
    `java.lang.String[]` | `getExtensions()`
    `static ZFileFilter` | `getFileFilterForExtension(java.lang.String ext)` Tries to find a matching ZFileFilter for the given extension.
    `static ZFileFilter` | `getFileFilterForFileName(java.lang.String fileName)`
    `static java.lang.String` | `getFileFilterName(java.io.File f)`
    `static javax.swing.Icon` | `getFileIcon(java.lang.String fileName)`
    `static boolean` | `matchesAnyFileGroup(java.lang.String ext)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FILTER_ALL

          public static final ZFileFilter FILTER_ALL

    - #### FILTER_DBDATA

          public static final ZFileFilter FILTER_DBDATA

    - #### FILTER_TEXT

          public static final ZFileFilter FILTER_TEXT

    - #### FILTER_DOCS

          public static final ZFileFilter FILTER_DOCS

    - #### FILTER_IMAGE

          public static final ZFileFilter FILTER_IMAGE

    - #### FILTER_EXCEL

          public static final ZFileFilter FILTER_EXCEL

    - #### FILTER_AUDIO

          public static final ZFileFilter FILTER_AUDIO

    - #### FILTER_VIDEO

          public static final ZFileFilter FILTER_VIDEO

    - #### FILTER_CRED

          public static final ZFileFilter FILTER_CRED

    - #### FILTER_TYPEMAP

          public static final ZFileFilter FILTER_TYPEMAP

    - #### FILTER_XML

          public static final ZFileFilter FILTER_XML

    - #### FILTER_UNL

          public static final ZFileFilter FILTER_UNL

    - #### FILTER_WIN

          public static final ZFileFilter FILTER_WIN

    - #### FILTER_SQL

          public static final ZFileFilter FILTER_SQL

    - #### FILTER_TXT

          public static final ZFileFilter FILTER_TXT

    - #### FILTER_OTHER

          public static final ZFileFilter FILTER_OTHER

  - ### Method Detail

    - #### getAllFilters

          public static ZFileFilter[] getAllFilters()

    - #### accept

          public boolean accept(java.io.File file)

      Specified by:
        `accept` in class `javax.swing.filechooser.FileFilter`

    - #### getDescription

          public java.lang.String getDescription()

      Specified by:
        `getDescription` in class `javax.swing.filechooser.FileFilter`

    - #### getExtensions

          public java.lang.String[] getExtensions()

    - #### matchesAnyFileGroup

          public static boolean matchesAnyFileGroup(java.lang.String ext)

    - #### getFileFilterForFileName

          public static ZFileFilter getFileFilterForFileName(java.lang.String fileName)

    - #### getFileFilterForExtension

          public static ZFileFilter getFileFilterForExtension(java.lang.String ext)

      Tries to find a matching ZFileFilter for the given extension. If none is found the ZFileFilter.FILTER_ALL is returned.

    - #### getFileIcon

          public static javax.swing.Icon getFileIcon(java.lang.String fileName)

    - #### getFileFilterName

          public static java.lang.String getFileFilterName(java.io.File f)

Copyright © 2014 EsprIT-Systems. All Rights Reserved.